Waiting for engine...
Skip to main content

Boomi MFT - AFT Management API Reference (v1) - Accounting

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Accounting

Retrieves the transfer quota information for the current customer

Requires billing API permissions to access customer transfer quota data.

Authorizations:
ApiKeyBearer

Responses

Response Schema:
integer <int32>

Response samples

Content type
No sample

Retrieves transfer usage data for the current customer

Requires billing API permissions to access customer transfer usage data.

Authorizations:
ApiKeyBearer

Responses

Response Schema:
customerId
integer <int32>
transferDate
string <date-time>
transferHour
string or null
pullCount
integer <int32>
pushCount
integer <int32>
guiDownloadCount
integer <int32>
transferBytes
integer <int64>
storageBytes
integer <int64>
peakStorageBytes
integer <int64>
compressionCount
integer <int32>
decompressionCount
integer <int32>
encryptionCount
integer <int32>
decryptionCount
integer <int32>

Response samples

Content type
No sample

Retrieves month-to-date transfer statistics for a specific organization

Requires billing API permissions. Use orgid=0 to get data for all accessible organizations.

Authorizations:
ApiKeyBearer
query Parameters
orgid
integer <int32>

Organization identifier (0 for all accessible organizations)

monthnum
integer <int32>

Month number (1-12)

year
integer <int32>

Year for the transfer data

Responses

Response Schema:
Array
entityName
string or null
transferDate
string <date-time>
sourceTransfers
integer <int64>
targetTransfers
integer <int64>
guiDownloads
integer <int64>
sourceTransferBytes
integer <int64>
targetTransferBytes
integer <int64>

Response samples

Content type
No sample

Retrieves daily transfer statistics for a specific organization and month

Requires billing API permissions to access daily transfer breakdown data.

Authorizations:
ApiKeyBearer
query Parameters
orgid
integer <int32>

Organization identifier

monthnum
integer <int32>

Month number (1-12)

year
integer <int32>

Year for the transfer data

Responses

Response Schema:
entityName
string or null
transferDate
string <date-time>
sourceTransfers
integer <int64>
targetTransfers
integer <int64>
guiDownloads
integer <int64>
sourceTransferBytes
integer <int64>
targetTransferBytes
integer <int64>
storageBytes
integer <int64>
peakStorageBytes
integer <int64>
compressionCount
integer <int64>
decompressionCount
integer <int64>
encryptionCount
integer <int64>
decryptionCount
integer <int64>

Response samples

Content type
No sample

Retrieves daily transfer statistics for a specific month and organization

Requires billing API permissions. Use orgId=0 to get data for all accessible organizations.

Authorizations:
ApiKeyBearer
query Parameters
year
integer <int32>

Year for the transfer data

month
integer <int32>

Month number (1-12)

orgId
integer <int32>
Default: 0

Optional organization identifier (default: 0 for all accessible organizations)

Responses

Response Schema:
Array
id
string or null
flowEndpointId
integer <int32>
flowId
integer <int32>
organizationId
integer <int32>
endpointId
integer <int32>
thruNodeId
string or null
flowEndpointType
string or null
protocol
string or null
dayIndex
integer <int32>
totalSourceCloudTransferCount
integer <int32>
totalTargetCloudTransferCount
integer <int32>
totalSourceNodeTransferCount
integer <int32>
totalTargetNodeTransferCount
integer <int32>
totalNodeCloudUploadCount
integer <int32>
totalNodeCloudDownloadCount
integer <int32>
totalSourceLanTransferCount
integer <int32>
totalTargetLanTransferCount
integer <int32>
totalCloudIngressBytes
integer <int64>
totalCloudEgressBytes
integer <int64>
totalNodeIngressBytes
integer <int64>
totalNodeEgressBytes
integer <int64>
totalNodeCloudUploadBytes
integer <int64>
totalNodeCloudDownloadBytes
integer <int64>
totalLanIngressBytes
integer <int64>
totalLanEgressBytes
integer <int64>
peakSourceActiveCloudFileBytes
integer <int64>
peakTargetActiveCloudFileBytes
integer <int64>
lastUpdated
string <date-time>
lastHourIndex
integer <int32>
Array of objects or null (BillingDailyActionItem)
organizationName
string or null
endpointName
string or null
flowName
string or null
flowEndpointName
string or null
thruNodeName
string or null
totalSourceActiveCloudFileBytes
integer <int64>
totalTargetActiveCloudFileBytes
integer <int64>

Response samples

Content type
No sample